#include <bits/stdc++.h>

using namespace std;

int main()
{
   long long a,b;
   cin >>a >> b;


    long long obim =2*(a+b)-4;
    long long res = ((a-2)*(b-2))/2 + obim;
    if (a ==1){
        res = b;
    }
    else if(b ==1){
        res = a;
    }
    cout << res;


}